%global momorel 1
%global majorminor 1.4
%global srcname gstreamermm


Name: gstreamermm1
Version: 1.4.3
Release: %{momorel}m%{?dist}
Summary: GStreamer C++ binding

Group: Applications/Multimedia
License: LGPLv2+
URL: http://gstreamer.freedesktop.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{srcname}/%{majorminor}/%{srcname}-%{version}.tar.xz
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gstreamer1
BuildRequires: glibmm-devel >= 2.28.2
BuildRequires: libxml++-devel
BuildRequires: gtkmm-devel
BuildRequires: gstreamer1-devel
BuildRequires: gstreamer1-plugins-good

%description
gstreamermm provides C++ bindings for the GStreamer streaming
multimedia library (http://gstreamer.freedesktop.org).  With
gstreamermm it is possible to develop applications that work with
multimedia in C++.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q -n %{srcname}-%{version}

%build
%configure \
    --enable-silent-rules \
    --disable-static 


%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/%{srcname}-1.0
%{_libdir}/lib%{srcname}-1.0.so.*
%{_libdir}/lib%{srcname}_get_plugin_defs-1.0.so.*
%exclude %{_libdir}/lib%{srcname}-1.0.la
%exclude %{_libdir}/lib%{srcname}_get_plugin_defs-1.0.la

%files devel
%defattr(-,root,root)
%{_includedir}/%{srcname}-1.0
%{_libdir}/pkgconfig/%{srcname}-1.0.pc
%{_libdir}/lib%{srcname}-1.0.so
%{_libdir}/lib%{srcname}_get_plugin_defs-1.0.so

%{_datadir}/doc/%{srcname}-1.0
%{_datadir}/devhelp/books/%{srcname}-1.0

%changelog
* Wed Feb 25 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.4.3-1m)
- version 1.4.3 released as gstreamermm1

* Wed Mar 14 2012 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-2m)
- build fix

* Tue Aug  9 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.10-1m)
- update to 0.10.10

* Mon Jul  4 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10.8-4m)
- rebuild with glibmm-2.28.2

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.8-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.8-2m)
- rebuild for new GCC 4.5

* Sat Oct 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.8-1m)
- update to 0.10.8
- delete patch1 (merged)

* Sun Oct  3 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.10.7.3-3m)
- add patch for gcc45

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.7.3-2m)
- full rebuild for mo7 release

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.7.3-1m)
- update to 0.10.7.3

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10.6-2m)
- use BuildRequires

* Tue Dec 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.6-1m)
- initial build
